"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListExportContentEntriesUseCase = void 0;
var _convertTaskToExportRecord = require("../../utils/convertTaskToExportRecord");
var _constants = require("../../../tasks/constants");
class ListExportContentEntriesUseCase {
  constructor(params) {
    this.listTasks = params.listTasks;
  }
  async execute(params) {
    const result = await this.listTasks({
      ...params,
      sort: ["createdOn_DESC"],
      where: {
        definitionId: _constants.EXPORT_CONTENT_ENTRIES_CONTROLLER_TASK
      }
    });
    return {
      items: result.items.map(item => (0, _convertTaskToExportRecord.convertTaskToCmsExportRecord)(item)),
      meta: result.meta
    };
  }
}
exports.ListExportContentEntriesUseCase = ListExportContentEntriesUseCase;

//# sourceMappingURL=ListExportContentEntriesUseCase.js.map