import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks/types";
import type { IImportFromUrlProcessAssets, IImportFromUrlProcessAssetsInput, IImportFromUrlProcessAssetsOutput } from "./abstractions/ImportFromUrlProcessAssets";
import { Context } from "../../../types";
import type { IFileFetcher } from "../../utils/fileFetcher";
import type { ICompressedFileReader, IDecompressor } from "../../utils/decompressor";
export interface IImportFromUrlProcessAssetsParams {
    fileFetcher: IFileFetcher;
    reader: ICompressedFileReader;
    decompressor: IDecompressor;
}
export declare class ImportFromUrlProcessAssets<C extends Context = Context, I extends IImportFromUrlProcessAssetsInput = IImportFromUrlProcessAssetsInput, O extends IImportFromUrlProcessAssetsOutput = IImportFromUrlProcessAssetsOutput> implements IImportFromUrlProcessAssets<C, I, O> {
    private readonly fileFetcher;
    private readonly reader;
    private readonly decompressor;
    constructor(params: IImportFromUrlProcessAssetsParams);
    run(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
    private readManifest;
    private takeNextAssetRecord;
}
