import type { ICompressedFileReader, IDecompressor } from "../../utils/decompressor";
import type { IImportFromUrlProcessEntriesDecompress, IImportFromUrlProcessEntriesDecompressRunParams, IImportFromUrlProcessEntriesDecompressRunResult } from "./abstractions/ImportFromUrlProcessEntriesDecompress";
import type { IImportFromUrlProcessEntriesInput, IImportFromUrlProcessEntriesOutput } from "./abstractions/ImportFromUrlProcessEntries";
import type { Context } from "../../../types";
export interface IImportFromUrlProcessEntriesDecompressParams {
    reader: ICompressedFileReader;
    decompressor: IDecompressor;
}
export declare class ImportFromUrlProcessEntriesDecompress<C extends Context = Context, I extends IImportFromUrlProcessEntriesInput = IImportFromUrlProcessEntriesInput, O extends IImportFromUrlProcessEntriesOutput = IImportFromUrlProcessEntriesOutput> implements IImportFromUrlProcessEntriesDecompress<C, I, O> {
    private readonly reader;
    private readonly decompressor;
    constructor(params: IImportFromUrlProcessEntriesDecompressParams);
    run(params: IImportFromUrlProcessEntriesDecompressRunParams<C, I, O>): Promise<IImportFromUrlProcessEntriesDecompressRunResult<I, O>>;
}
