import type { IDecompressor, IDecompressorDecompressParams, IUnzipperFile } from "./abstractions/Decompressor";
import type { IMultipartUploadFactory, IUploadDoneResult } from "../upload";
export interface IDecompressorParamsUploadCreateFactory {
    (filename: string): IMultipartUploadFactory;
}
export interface IDecompressorParams {
    createUploadFactory: IDecompressorParamsUploadCreateFactory;
}
export declare class Decompressor implements IDecompressor {
    private readonly createUploadFactory;
    constructor(params: IDecompressorParams);
    /**
     * Should not be used with large files (> 10/20MB)
     */
    read(files: IUnzipperFile[], target: string): Promise<string>;
    extract(params: IDecompressorDecompressParams): Promise<IUploadDoneResult>;
}
export declare const createDecompressor: (params: IDecompressorParams) => IDecompressor;
