import type { IExternalFileFetcher, IExternalFileFetcherFetchResult, IExternalFileFetcherHeadResult } from "./abstractions/ExternalFileFetcher";
export interface IGetChecksumHeaderCallable {
    (headers: Headers): string | undefined | null;
}
export interface IExternalFileFetcherParams {
    fetcher: typeof fetch;
    timeout?: number;
    getChecksumHeader: IGetChecksumHeaderCallable;
}
export declare class ExternalFileFetcher implements IExternalFileFetcher {
    private readonly fetcher;
    private readonly timeout;
    private readonly _getChecksumHeader;
    constructor(params: IExternalFileFetcherParams);
    fetch(url: string): Promise<IExternalFileFetcherFetchResult>;
    head(url: string): Promise<IExternalFileFetcherHeadResult>;
    private getChecksumHeader;
}
