import type { DeleteObjectCommandOutput, S3Client } from "@webiny/aws-sdk/client-s3";
import type { IFileFetcher, IFileFetcherFetchResult, IFileFetcherFile, IFileFetcherHeadResult, IFileFetcherStream } from "./abstractions/FileFetcher";
export interface IFileFetcherParams {
    client: S3Client;
    bucket: string;
}
export declare class FileFetcher implements IFileFetcher {
    readonly client: S3Client;
    readonly bucket: string;
    constructor(params: IFileFetcherParams);
    head(key: string): Promise<IFileFetcherHeadResult>;
    exists(key: string): Promise<boolean>;
    list(key: string): Promise<IFileFetcherFile[]>;
    fetch(key: string): Promise<IFileFetcherFetchResult>;
    stream(key: string): Promise<IFileFetcherStream>;
    read(key: string): Promise<string | null>;
    delete(key: string): Promise<DeleteObjectCommandOutput>;
}
