/// <reference types="node" />
/// <reference types="node" />
import type { ICreateMultipartUploadHandler, IMultipartUploadHandler, IMultipartUploadHandlerAbortResult, IMultipartUploadHandlerAddResult, IMultipartUploadHandlerCompleteResult, IMultipartUploadHandlerGetBufferResult, IMultipartUploadHandlerParams } from "../abstractions/MultipartUploadHandler";
export declare class MultipartUploadHandler implements IMultipartUploadHandler {
    private readonly uploadId;
    private readonly client;
    private readonly bucket;
    private readonly filename;
    private readonly minBufferSize;
    private readonly parts;
    private buffer;
    private bufferLength;
    constructor(params: IMultipartUploadHandlerParams);
    getBuffer(): IMultipartUploadHandlerGetBufferResult;
    add(buffer: Buffer): Promise<IMultipartUploadHandlerAddResult>;
    complete(): Promise<IMultipartUploadHandlerCompleteResult>;
    abort(): Promise<IMultipartUploadHandlerAbortResult>;
    private pause;
    private write;
    getUploadId(): string;
    getNextPartNumber(): number;
}
export declare const createMultipartUpload: ICreateMultipartUploadHandler;
